Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface EnterpriseBeansType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  EnterpriseBeansTypeImpl

    public interface EnterpriseBeansType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `enterprise-beansType` xsd type

Original Documentation:

The enterprise-beans element contains additional information about the
beans. These informations, such as jndi names, resource managers and container
configurations, are specific to jboss and not described in ejb-jar.xml. jboss will provide a
standard behaviour if no enterprise-beans element is found, see container-configurations,
jndi-name and resource-managers for defaults. Used in: jboss

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`ConsumerBeanType<EnterpriseBeansType<T>>` | `consumer()` Returns the `consumer` element
`GenericBeanType<EnterpriseBeansType<T>>` | `ejb()` Returns the `ejb` element
`java.util.List<ConsumerBeanType<EnterpriseBeansType<T>>>` | `getConsumerList()` Returns all `consumer` elements
`java.util.List<GenericBeanType<EnterpriseBeansType<T>>>` | `getEjbList()` Returns all `ejb` elements
`java.util.List<MessageDrivenBeanType<EnterpriseBeansType<T>>>` | `getMessageDrivenList()` Returns all `message-driven` elements
`java.util.List<ServiceBeanType<EnterpriseBeansType<T>>>` | `getServiceList()` Returns all `service` elements
`java.util.List<SessionBeanType<EnterpriseBeansType<T>>>` | `getSessionList()` Returns all `session` elements
`MessageDrivenBeanType<EnterpriseBeansType<T>>` | `messageDriven()` Returns the `message-driven` element
`EnterpriseBeansType<T>` | `removeAllConsumer()` Removes all `consumer` elements
`EnterpriseBeansType<T>` | `removeAllEjb()` Removes all `ejb` elements
`EnterpriseBeansType<T>` | `removeAllMessageDriven()` Removes all `message-driven` elements
`EnterpriseBeansType<T>` | `removeAllService()` Removes all `service` elements
`EnterpriseBeansType<T>` | `removeAllSession()` Removes all `session` elements
`ServiceBeanType<EnterpriseBeansType<T>>` | `service()` Returns the `service` element
`SessionBeanType<EnterpriseBeansType<T>>` | `session()` Returns the `session` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### removeAllSession

    EnterpriseBeansType<T> removeAllSession()

  Removes all `session` elements

  Returns:
    the current instance of `EnterpriseBeansType`

### session

    SessionBeanType<EnterpriseBeansType<T>> session()

  Returns the `session` element

  Returns:
    the node defined for the element `session`

### getSessionList

    java.util.List<SessionBeanType<EnterpriseBeansType<T>>> getSessionList()

  Returns all `session` elements

  Returns:
    list of `session`

### removeAllMessageDriven

    EnterpriseBeansType<T> removeAllMessageDriven()

  Removes all `message-driven` elements

  Returns:
    the current instance of `EnterpriseBeansType`

### messageDriven

    MessageDrivenBeanType<EnterpriseBeansType<T>> messageDriven()

  Returns the `message-driven` element

  Returns:
    the node defined for the element `message-driven`

### getMessageDrivenList

    java.util.List<MessageDrivenBeanType<EnterpriseBeansType<T>>> getMessageDrivenList()

  Returns all `message-driven` elements

  Returns:
    list of `message-driven`

### removeAllService

    EnterpriseBeansType<T> removeAllService()

  Removes all `service` elements

  Returns:
    the current instance of `EnterpriseBeansType`

### service

    ServiceBeanType<EnterpriseBeansType<T>> service()

  Returns the `service` element

  Returns:
    the node defined for the element `service`

### getServiceList

    java.util.List<ServiceBeanType<EnterpriseBeansType<T>>> getServiceList()

  Returns all `service` elements

  Returns:
    list of `service`

### removeAllConsumer

    EnterpriseBeansType<T> removeAllConsumer()

  Removes all `consumer` elements

  Returns:
    the current instance of `EnterpriseBeansType`

### consumer

    ConsumerBeanType<EnterpriseBeansType<T>> consumer()

  Returns the `consumer` element

  Returns:
    the node defined for the element `consumer`

### getConsumerList

    java.util.List<ConsumerBeanType<EnterpriseBeansType<T>>> getConsumerList()

  Returns all `consumer` elements

  Returns:
    list of `consumer`

### removeAllEjb

    EnterpriseBeansType<T> removeAllEjb()

  Removes all `ejb` elements

  Returns:
    the current instance of `EnterpriseBeansType`

### ejb

    GenericBeanType<EnterpriseBeansType<T>> ejb()

  Returns the `ejb` element

  Returns:
    the node defined for the element `ejb`

### getEjbList

    java.util.List<GenericBeanType<EnterpriseBeansType<T>>> getEjbList()

  Returns all `ejb` elements

  Returns:
    list of `ejb`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD